#!/bin/bash

# Remove leading whitespace and comments starting with //
sed -e 's/^[[:space:]]*//' -e '/^\/\/.*/d' $1 |
# Remove one line comments starting with //
sed -e 's/^\/\/.*$//' |
# Remove trailing comments starting with //
sed -e 's/ \/\/.*$//' |
# Remove empty lines
sed '/^\s*$/d'
